# Interface GeocodeOptions

Options that can be passed into geocode operations.

interface GeocodeOptions {
cancelToken?: CancelToken;
maxResults?: number;
outFields?: string[];
outSpatialReference?: SpatialReference;
searchArea?: Geometry;
searchPoint?: Point;
}

#####
Index

### Properties

cancelToken?
maxResults?
outFields?
outSpatialReference?
searchArea?
searchPoint?

##
Properties

### `Optional` cancelToken

cancelToken?: CancelToken

An optional cancel token from a support/Cancellable!Cancellable that can be used to cancel the geocode operation.

### `Optional` maxResults

maxResults?: number

The maximum number of results to return. This cannot exceed the maximum supported by the geocoder (see tasks/geocoding/Geocoder!Geocoder.capabilities).

### `Optional` outFields

outFields?: string[]

Fields that should be returned for each feature.

### `Optional` outSpatialReference

outSpatialReference?: SpatialReference

The spatial reference of the results.

### `Optional` searchArea

searchArea?: Geometry

If specified, results will be limited to those that intersect the given geometry. No effect for reverse geocoding.

### `Optional` searchPoint

searchPoint?: Point

If specified, results will be weighted for the specified point. No effect for reverse geocoding.